OID reference

rsDhcpOptionsEntryName

1.3.6.1.4.1.89.38.19.1.1

Description

This value is a unique index for the options entry in the rsDhcpOptionsTable.

Full description and source information

Identification

Identifier and names

Parent
1.3.6.1.4.1.89.38.19.1 (rsDhcpOptionsEntry)
Node code
1
Node name
rsDhcpOptionsEntryName
Category
SNMP management object
Numeric OID
1.3.6.1.4.1.89.38.19.1.1
URN notation
urn:oid:1.3.6.1.4.1.89.38.19.1.1
ASN.1, OID-IRI and named path variants
ASN.1 notation

{1 3 6 1 4 1 89 38 19 1 1}

  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) rnd(89) rsDHCP(38) rsDhcpOptionsTable(19) rsDhcpOptionsEntry(1) rsDhcpOptionsEntryName(1)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) rnd(89) rsDHCP(38) rsDhcpOptionsTable(19) rsDhcpOptionsEntry(1) rsDhcpOptionsEntryName(1)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) rnd(89) rsDHCP(38) rsDhcpOptionsTable(19) rsDhcpOptionsEntry(1) rsDhcpOptionsEntryName(1)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) rnd(89) rsDHCP(38) rsDhcpOptionsTable(19) rsDhcpOptionsEntry(1) rsDhcpOptionsEntryName(1)}
  • {iso(1) org(3) dod(6) internet(1) private(4) enterprise(1) rnd(89) rsDHCP(38) rsDhcpOptionsTable(19) rsDhcpOptionsEntry(1) rsDhcpOptionsEntryName(1)}
  • {iso(1) org(3) dod(6) internet(1) private(4) enterprises(1) rnd(89) rsDHCP(38) rsDhcpOptionsTable(19) rsDhcpOptionsEntry(1) rsDhcpOptionsEntryName(1)}
  • {iso(1) org(3) dod(6) internet(1) private(4) ldap-enterprise(1) rnd(89) rsDHCP(38) rsDhcpOptionsTable(19) rsDhcpOptionsEntry(1) rsDhcpOptionsEntryName(1)}
  • {iso(1) org(3) dod(6) internet(1) private(4) vendor-objects(1) rnd(89) rsDHCP(38) rsDhcpOptionsTable(19) rsDhcpOptionsEntry(1) rsDhcpOptionsEntryName(1)}
  • {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) enterprise(1) rnd(89) rsDHCP(38) rsDhcpOptionsTable(19) rsDhcpOptionsEntry(1) rsDhcpOptionsEntryName(1)}
  • {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) enterprises(1) rnd(89) rsDHCP(38) rsDhcpOptionsTable(19) rsDhcpOptionsEntry(1) rsDhcpOptionsEntryName(1)}
  • {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) rnd(89) rsDHCP(38) rsDhcpOptionsTable(19) rsDhcpOptionsEntry(1) rsDhcpOptionsEntryName(1)}
  • {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) rnd(89) rsDHCP(38) rsDhcpOptionsTable(19) rsDhcpOptionsEntry(1) rsDhcpOptionsEntryName(1)}
  • {iso(1) iso-organization(3) dod(6) internet(1) private(4) enterprise(1) rnd(89) rsDHCP(38) rsDhcpOptionsTable(19) rsDhcpOptionsEntry(1) rsDhcpOptionsEntryName(1)}
  • {iso(1) iso-organization(3) dod(6) internet(1) private(4) enterprises(1) rnd(89) rsDHCP(38) rsDhcpOptionsTable(19) rsDhcpOptionsEntry(1) rsDhcpOptionsEntryName(1)}
  • {iso(1) iso-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) rnd(89) rsDHCP(38) rsDhcpOptionsTable(19) rsDhcpOptionsEntry(1) rsDhcpOptionsEntryName(1)}
  • {iso(1) iso-organization(3) dod(6) internet(1) private(4) vendor-objects(1) rnd(89) rsDHCP(38) rsDhcpOptionsTable(19) rsDhcpOptionsEntry(1) rsDhcpOptionsEntryName(1)}
OID-IRI notation
  • /1/3/6/1/4/1/89/38/19/1/1
  • /ISO/Identified-Organization/6/1/4/1/89/38/19/1/1
  • /ISO/3/6/1/4/1/89/38/19/1/1
Named path variants
  • /iso/identified-organization/dod/internet/private/enterprise/rnd/rsDHCP/rsDhcpOptionsTable/rsDhcpOptionsEntry/rsDhcpOptionsEntryName
  • /iso/identified-organization/dod/internet/private/enterprises/rnd/rsDHCP/rsDhcpOptionsTable/rsDhcpOptionsEntry/rsDhcpOptionsEntryName
  • /iso/identified-organization/dod/internet/private/ldap-enterprise/rnd/rsDHCP/rsDhcpOptionsTable/rsDhcpOptionsEntry/rsDhcpOptionsEntryName
  • /iso/identified-organization/dod/internet/private/vendor-objects/rnd/rsDHCP/rsDhcpOptionsTable/rsDhcpOptionsEntry/rsDhcpOptionsEntryName
  • /iso/org/dod/internet/private/enterprise/rnd/rsDHCP/rsDhcpOptionsTable/rsDhcpOptionsEntry/rsDhcpOptionsEntryName
  • /iso/org/dod/internet/private/enterprises/rnd/rsDHCP/rsDhcpOptionsTable/rsDhcpOptionsEntry/rsDhcpOptionsEntryName
  • /iso/org/dod/internet/private/ldap-enterprise/rnd/rsDHCP/rsDhcpOptionsTable/rsDhcpOptionsEntry/rsDhcpOptionsEntryName
  • /iso/org/dod/internet/private/vendor-objects/rnd/rsDHCP/rsDhcpOptionsTable/rsDhcpOptionsEntry/rsDhcpOptionsEntryName
  • /iso/iso-identified-organization/dod/internet/private/enterprise/rnd/rsDHCP/rsDhcpOptionsTable/rsDhcpOptionsEntry/rsDhcpOptionsEntryName
  • /iso/iso-identified-organization/dod/internet/private/enterprises/rnd/rsDHCP/rsDhcpOptionsTable/rsDhcpOptionsEntry/rsDhcpOptionsEntryName
  • /iso/iso-identified-organization/dod/internet/private/ldap-enterprise/rnd/rsDHCP/rsDhcpOptionsTable/rsDhcpOptionsEntry/rsDhcpOptionsEntryName
  • /iso/iso-identified-organization/dod/internet/private/vendor-objects/rnd/rsDHCP/rsDhcpOptionsTable/rsDhcpOptionsEntry/rsDhcpOptionsEntryName
  • /iso/iso-organization/dod/internet/private/enterprise/rnd/rsDHCP/rsDhcpOptionsTable/rsDhcpOptionsEntry/rsDhcpOptionsEntryName
  • /iso/iso-organization/dod/internet/private/enterprises/rnd/rsDHCP/rsDhcpOptionsTable/rsDhcpOptionsEntry/rsDhcpOptionsEntryName
  • /iso/iso-organization/dod/internet/private/ldap-enterprise/rnd/rsDHCP/rsDhcpOptionsTable/rsDhcpOptionsEntry/rsDhcpOptionsEntryName
  • /iso/iso-organization/dod/internet/private/vendor-objects/rnd/rsDHCP/rsDhcpOptionsTable/rsDhcpOptionsEntry/rsDhcpOptionsEntryName

SNMP properties

Value type
DisplayString
Maximum access defined by MIB
read-only
Status in MIB
mandatory
Allowed size (octets)
1–160

Using this OID with SNMP

At least one MIB declaration places this object in a table row. A value belongs to a row instance; its suffix depends on the row's INDEX or AUGMENTS definition. The index encoding is not inferred here.

Published row index: rsDhcpOptionsEntryName.

snmpwalk [connection options] DEVICE .1.3.6.1.4.1.89.38.19.1.1

Replace the placeholders with your connection and authentication options. Available permissions and device support can differ from the MIB.

Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.

The displayed source records contain one distinct definition. Compare its source records.

rsDhcpOptionsEntryName OBJECT-TYPE
   SYNTAX  DisplayString (SIZE (1..160))
   ACCESS  read-only
   STATUS  mandatory
   DESCRIPTION "This value is a unique index for the options
                entry in the rsDhcpOptionsTable."
   ::= {rsDhcpOptionsEntry 1}

Meaning

Descriptions

1 unique

Identical descriptions are grouped. Different wording and device-specific notes are retained.

This value is a unique index for the options entry in the rsDhcpOptionsTable.

Sources for this description

D-Link official switch MIBs

See 1 matching source record

Evidence

Source records

1 records

Matching descriptions are grouped; open a group to compare definitions and supporting files.

Records for description 1D-Link official switch MIBs1 record · 1 source

Description 1

rsDhcpOptionsEntryName · mandatoryD-Link official switch MIBs1 source

Status in source: mandatory.

Names: rsDhcpOptionsEntryName

Technical details
{
  "smi_kind": "OBJECT-TYPE",
  "definition": [
    "rsDhcpOptionsEntryName",
    "OBJECT-TYPE",
    "SYNTAX",
    "DisplayString",
    "(",
    "SIZE",
    "(",
    "1",
    ".",
    ".",
    "160",
    ")",
    ")",
    "ACCESS",
    "read-only",
    "STATUS",
    "mandatory",
    "DESCRIPTION",
    "\"This value is a unique index for the options entry in the rsDhcpOptionsTable.\"",
    "::=",
    "{",
    "rsDhcpOptionsEntry",
    "1",
    "}"
  ],
  "syntax_tree": [
    [
      "SimpleSyntax",
      "DisplayString",
      [
        "octetStringSubType",
        [
          [
            1,
            160
          ]
        ]
      ]
    ],
    null,
    [
      "MaxAccessPart",
      "read-only"
    ],
    [
      "Status",
      "mandatory"
    ],
    [
      "DESCRIPTION",
      "This value is a unique index for the options entry in the rsDhcpOptionsTable."
    ],
    null,
    null,
    null,
    null
  ]
}
  • D-Link official switch MIBs · Publisher's source file: Source package: DES6300 MIB(0131140909).zip

    Module: RADLAN-MIB

    See published definition above

    Module imports
    {'IF-MIB': ['InterfaceIndexOrZero', 'InterfaceIndex', 'ifIndex'], 'LAG-MIB': ['dot3adAggIndex'], 'MAU-MIB': ['JackType'], 'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'RMON-MIB': ['OwnerString', 'EntryStatus'], 'SNMPv2-TC': ['TEXTUAL-CONVENTION'], 'BRIDGE-MIB': ['BridgeId', 'Timeout', 'dot1dBasePort', 'dot1dBasePortEntry', 'MacAddress'], 'SNMPv2-SMI': ['Unsigned32', 'Counter32', 'Counter64'], 'RFC1155-SMI': ['NetworkAddress', 'IpAddress', 'Counter', 'Gauge', 'TimeTicks', 'enterprises'], 'RFC1213-MIB': ['DisplayString', 'PhysAddress', 'ipAddrEntry'], 'RFC1315-MIB': ['DLCI'], 'RFC1389-MIB': ['rip2IfConfEntry'], 'P-BRIDGE-MIB': ['EnabledStatus'], 'Q-BRIDGE-MIB': ['PortList'], 'SNMPv2-TC-v1': ['TimeInterval'], 'RADLAN-SNMPv2': ['TruthValue', 'RowStatus', 'zeroDotZero', 'RowPointer'], 'SNMP-FRAMEWORK-MIB': ['SnmpAdminString']}
    · Download APOLLO.TXT

    Related source files and packages:

Registration

Registration authorities

First Registration Authority (inferred from ancestor 1.3.6.1.4.1.89)

Nethaniel Rina

Siblings (11)

OIDNameDirect childrenDescendantsDescription
1.3.6.1.4.1.89.38.19.1.2 rsDhcpOptionsEntryRoutersList00
1.3.6.1.4.1.89.38.19.1.3 rsDhcpOptionsEntryTimeSrvList00
1.3.6.1.4.1.89.38.19.1.4 rsDhcpOptionsEntryDNSList00
1.3.6.1.4.1.89.38.19.1.5 rsDhcpOptionsEntryNetbiosNameList00
1.3.6.1.4.1.89.38.19.1.6 rsDhcpOptionsEntryBootfileName00
1.3.6.1.4.1.89.38.19.1.7 rsDhcpOptionsEntryClientIdentifier00
1.3.6.1.4.1.89.38.19.1.8 rsDhcpOptionsEntryHostName00
1.3.6.1.4.1.89.38.19.1.9 rsDhcpOptionsEntryDomainName00
1.3.6.1.4.1.89.38.19.1.10 rsDhcpOptionsEntryNetbiosNameType00
1.3.6.1.4.1.89.38.19.1.11 rsDhcpOptionsEntryOtherOptionsList00
1.3.6.1.4.1.89.38.19.1.12 rsDhcpOptionsEntryStatus00